Package ghidra.app.plugin.processors.sleigh.symbol

# Class ValueSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.FamilySymbol
ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

Direct Known Subclasses:
  `ContextSymbol`, `NameSymbol`, `ValueMapSymbol`, `VarnodeListSymbol`

public class ValueSymbol extends FamilySymbol
A variable with its semantic (and printing) value equal to a fixed mapping of its pattern

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected PatternValue`
  `patval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValueSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getFixedHandle(FixedHandle hand, ParserWalker walker)`
  `PatternExpression`
  `getPatternExpression()`
  `PatternValue`
  `getPatternValue()`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol

  `resolve`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### patval

    protected PatternValue patval

- ## Constructor Details

  - ### ValueSymbol

    public ValueSymbol()

- ## Method Details

  - ### getPatternValue

    public PatternValue getPatternValue()
    Specified by:
      `getPatternValue` in class `FamilySymbol`

  - ### getPatternExpression

    public PatternExpression getPatternExpression()
    Specified by:
      `getPatternExpression` in class `TripleSymbol`

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hand, ParserWalker walker) throws MemoryAccessException
    Specified by:
      `getFixedHandle` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### print

    public String print(ParserWalker walker) throws MemoryAccessException
    Specified by:
      `print` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list) throws MemoryAccessException
    Specified by:
      `printList` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh)
    Specified by:
      `restoreXml` in class `Symbol`